#formulaPanel {}
#formulaPanel p {
    display: block;
    font-weight: 700;
    color: #fff;
    font-size: 0.69em;
    padding: 8px;
    margin: 0 0 4px;
    position: relative;
    border-radius: 2px;
    background-color: #555;
}
#formulaPanel p.selected{
    background-color: #777;
    padding: 6px;
    border: 1px solid silver;
}

#formulaPanel p div.dropdown{
    display: none;
    margin-top: 5px;
    margin-bottom: 0px;
}

#formulaPanel p.selected div.dropdown{
    display: block;
}

#formulaPanel p input.formulaInput {
    display: block;
    padding: 4px;
    color: #333;
    margin: 2px 2px 0px 0px;
    width: 82%;
}
#addMore:hover {
    text-decoration: none;
}
.buttons {
    color: #FFFFFF;
    background-color: #6E6E6E;
    font-family: sans-serif;
    font-weight: bold;
    font-size: 12px;
    border-radius: 4px;
    -moz-border-radius: 4px;
    -khtml-border-radius: 4px;
    -webkit-border-radius: 4px;
    box-shadow: 0 1px 1px #333;
    text-shadow: 0 1px 0 #333;
    margin: 3px 5px 3px;
    padding: 4px;
}
.buttons:hover{
    background-color: #8E8E8E;
}
.formulaInput{
	font-family: "arial helvetica sans-serif";
	font-style: italic;
	font-size: 11pt;
	height: 20px;
	border-radius: 7px;
}
div.paramslider{
	padding: 0px 0px 15px 0px;
	margin-bottom: 15px;
	border-bottom: 1px solid #333333;
}
div.paramslider h3{
	color: #ffffff;
	margin: 0px 0px 0px 0px;
	padding: 0px 0px 8px 0px;
	position: relative;
	font-size: 0.69em;
}
div.paramslider div{
	margin-left: 5px;
	margin-right: 5px;
}
div.paramslider h3 input{
	top: 0px;
	width: 30px;
	height: 17px;
	border-radius: 3px;
	text-align: center;
}
div.paramslider h3 input.inputMin{
	left: 0px;
	position: absolute;
}
div.paramslider h3 input.inputMax{
	right: 0px;
	position: absolute;
}
div.paramslider h3 input.inputVal{
	width: 50px;
}
div.deleteButton{
    position: absolute;
    top: 3px;
    right: 3px;
    height: 20px;
    width: 20px;
    text-align: center;
    cursor: pointer;
    color: #ee0000;
    font-weight: bold;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -khtml-border-radius: 3px;
    -webkit-border-radius: 3px;
    background-color: #999;
    border: 1px solid #000000;
    vertical-align: middle;
    font-size: 14px;
    
}
div.deleteButton:hover{
    background-color: #AAAAAA;
}
div.deleteButtonBig{
    position: absolute;
    top: 3px;
    right: 3px;
    height: 28px;
    width: 28px;
    text-align: center;
    cursor: pointer;
    color: #ee0000;
    font-size: 16pt;
    font-weight: bold;
    background-color: #777;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -khtml-border-radius: 3px;
    -webkit-border-radius: 3px;
}
div.deleteButtonBig:hover{
    background-color: #AAAAAA;
}

div.colorfktpicker{
    position: absolute;
    right: 3px;
    top: 29px;
    height: 20px;
    width: 20px;
    text-align: center;
    
    background-color: #333;
    border: 1px solid #777;
    border-radius: 4px;
}

div.colorfktpicker:hover{
    height: 78px;
    width: 110px;
    z-index: 20;
}

div.colorfktpicker div{
    position: static;
}

div.colorfktpicker div.col{
    border: 1px solid #000000;
    border-radius: 3px;
    height: 20px;
    width: 20px;
    margin: 1px 2px;
    padding: 0px;
    display: none;
    background-repeat: repeat;
}
div.colorfktpicker:hover div.col{
    display: inline-block;
}
div.colorfktpicker div.col:hover{
    border: 1px solid #ffffff;
}

div.colorfktpicker div.selectedcol{
    width: 100%;
    height: 20px;
    margin: 0px 0px 5px 0px;
    background-repeat: repeat;
    border-radius: 3px;
}
div.colorfktpicker:hover div.selectedcol{
    border-bottom: 1px solid #000000;
}

#formulaPanel p div.btn{
    height: 20px;
    width: 20px;
    display: inline-block;
    padding: 0px;
    margin: 1px 2px;
    border-radius: 3px;
    background-color: #999;
    border: 1px solid #000000;
    text-align: center;
    vertical-align: middle;
    font-size: 14px;
    font-weight: normal;
    cursor: pointer; 
}
#formulaPanel p div.btn:hover{
    background-color: #aaa;
}
#formulaPanel p div.pressed{
    background-color: #444 !important;
    border: 1px solid silver !important;
}
#formulaPanel p div.pressed:hover{
    background-color: #777 !important;
}

table.areaTable{
	border-collapse: collapse;
	vertical-align: middle;
	margin-top: 5px;
	display: inline-table;
	font-size: 10px;
}

table.areaTable td{
	padding: 1px 3px;
	margin: 0px;
}

.areaInput{
	width: 35px;
}